Overview

SiS SATA Raid Utility

Overview

Welcome to use SiS 180 SATA Raid Utility. This software supports the following functions:

1. Create a RAID array, including JBOD, RAID 0, RAID 1 and RAID 0+1.

2. Delete an indicated RAID array.

3. Display the physical device information, such as Model Name, Location, Serial Number, Capacity, Type, Status and

Device Transfer Mode.

4. Display the RAID array information, such as Array Type, BlockSize, Array Mode and the Serial numbers and

Model Names of Array Members.

5. Duplicate all data of the source disk when creating the RAID 1 array.

6. Split all data of the source disk into a RAID 0 array.

7. Add disks to broken arrays and it can reconstruct the RAID 1 or RAID 0+1 array.

8. Support multiple adapters.

To run this software, click the program icon in your program folder in Start -> Programs -> SiS Raid Utility. The main window has two tabs: View and Configuration. You can switch screens by clicking on the different tabs. The View window is the first screen by default. You can use the following information to learn more about this software.

View Physical Device Information

Create a Raid array

Delete a Raid array

Recovery an error Raid array


Create a Raid array

Click the tab Configuration, the configuration window will appear. And the Create Raid screen is the default screen in it. You can find three drop-down boxes and three panes. Those descriptions will show below.

Raid Type: There are four array types that you can select: JBOD, RAID 0, RAID 1 and RAID 0+1. you can select any one array type to create a RAID set.

Block Size: If you selected RAID 0 or RAID 0+1 array types in the Raid Type drop-down box, the Block Size drop-down box will be enabled and you must select a block size. Clicking the drop-down box Block Size, there are seven block size that you can select: 8k, 16k, 32k, 64k, 128k, 256k and 512k. You can select any one block size or use the default value to create a RAID 0 or RAID 0+1 set. The default selection is 64k.

Mode : There are two mode types that you can select: PIO and DMA. You can select any one mode type or use the default setting to create a RAID set. The default selection is DMA.

Available Disks: This pane will list out all the disks that can be used to create a RAID set currently. It will show some disk information (ex. Location, serial numbers, the ability of boot and the status of recovering).

Selected Disks: This pane will list out all the disks that have been selected to create a RAID set. You can highlight the specific disk in the Available Disks pane and click the downward arrow icon or double click the marked disk to select that disk into the Selected Disks pane. In the same way, you can click the upward arrow icon or double click the disk you might select wrong in the Selected Disks to go back to the Available Disks pane.

Information: This pane will show the information about creating a RAID set after clicking the button Create. The information may be “Please select the <Raid Type> first!”, "Mirror supports TWO DISKS only.", "StripeMirror needs least FOUR DISKS.", "Raid Created successful! Reboot please!!" or "Raid Creation failed!" ...etc.

To create any kind of Raid set, you can use the following topic to learn the creating steps.

JBOD (Spanning)


JBOD

JBOD (Spanning)

Several hard disk types configured as a single hard disk.

This expands the capacity of your drive and results in a useable total capacity.

The steps of creating a JBOD array

1. From the drop-down box Raid Type, select the array type to JBOD.

Configuration → Create Raid → Raid Type → JBOD

2. From the drop-down box Mode, select the mode type you want. The default setting is DMA.

3. From the Available Disks pane, select the disks you want to add. At least two hard drivers are required.

4. Click Create button.

5. Then some warning messages will be popup. Pay attention to the warning messages, and you can click Yes

button to continue or click No button to cancel this action.

6. After you get the Confirm warning message, it means that the RAID set is created. Please press Yes button to

reboot the system to make the new setting work.


RAID 0

RAID 0 (Stripping)

All of the data are distributed evenly to all of the existing drives.

This can make higher performance but has high risks of data security

The steps of creating a RAID 0 array

1. From the drop-down box Raid Type, select the array type to RAID 0.

Configuration → Create Raid → Raid Type → RAID 0

2. From the drop-down box Block Size, select the block size you want. The default setting is 64K.

3. From the drop-down box Mode, select the mode type you want. The default setting is DMA.

4. From the Available Disks pane, select the disks you want to add. At least two hard drivers are required.

5. Click Create button.

6. Then some warning messages and a Create Stripe RaidSet dialog will be popup. Pay attention to the warning

messages, and you can click Yes button to continue or click No button to cancel this action.

7. On the other hand, paying attention to the Create Stripe RaidSet dialog, you can select any one radio button

of Create Only, Split data (Source is NOT a boot device) or Split data (Source is a boot device). Please see the descriptions of the

dialog showed below:

Source: The first selected disk.

Target: All other disks but first one.

Create Only: This operation will destroy all data on all the selected disks and create a clean stripe array

without any data on it.

<Split data into Raid 0 Set>

Source is NOT a boot device: Split operation will split data from source disk into all the selected disks.

In this operation, the source disk can’t be a boot device.

Source is a boot device: This operation is similar to previous operation, but the source disk is a boot device.

Ok: Start the operation.

<Disk Copy Remaining Sector>: Show the remaining splitting data.

8. If you select the operation Create Only or Split data (Source is NOT a boot device), the RAID set is created successfully

after getting the Confirm warning message. Please press Yes button to reboot the system to make the new

setting work.

9. If you select the operation Split data (Source is a boot device), the confirm warning message will be popup right away.

And you can click Ok button to restart the windows and start the operation Split data (Source is boot device).

Or click Cancel button to suspend this operation. But, this operation is still done after restarting the windows next time.


RAID 1

RAID 1 (Mirroring)

Data is written to two or more drives synchronously. That is, 100% duplication of data from one drive to another.

The goal of RAID 1 is to ensure data security.

The steps of creating a RAID 1 array

1. From the drop-down box Raid Type, select the array type to RAID 1.

Configuration → Create Raid → Raid Type → RAID 1

2. From the drop-down box Mode, select the mode type you want. The default setting is DMA.

3. From the Available Disks pane, select the disks you want to add. Only two hard drivers are supported.

4. Click Create button.

5. Then some warning messages and a Create Mirror RaidSet dialog will be popup. Pay attention to the warning

messages, and you can click Yes button to continue or click No button to cancel this action.

6. On the other hand, paying attention to the Create Mirror RaidSet dialog, you can select any one radio button

of Create Only or Create and Duplicate. Please see the descriptions of the dialog showed below:

Source: The first selected disk.

Target: The second selected disk.

Create Only: This operation will destroy all data on all the selected disks and create a clean mirror array

without any data on it.

Create and Duplicate: Duplicate operation will reserve data on the source disk and copy them onto the

target disk.

Ok: Start the operation.

Cancel: Cancel the operation.

<Disk Copy Remaining Sector>: Show the remaining copying data.

7. After you get the Confirm warning message, it means that the RAID set is created. Please press Yes button to

reboot the system to make the new setting work.


RAID 0+1

RAID 0+1 (StripeMirror)

This is a combination of RAID 0 and RAID 1. Data is striped into two drives then mirrored.

It provides high performance and high data protection.

The steps of creating a RAID 0+1 array

1. From the drop-down box Raid Type, select the array type to RAID 0+1.

Configuration → Create Raid → Raid Type → RAID 0+1

2. From the drop-down box Block Size, select the block size you want. The default setting is 64K.

3. From the drop-down box Mode, select the mode type you want. The default setting is DMA.

4. From the Available Disks pane, select the disks you want to add. At least four hard drivers are required.

5. Click Create button.

6. Then some warning messages will be popup. Pay attention to the warning messages, and you can click Yes

button to continue or click No button to cancel this action.

7. After you get the Confirm warning message, it means that the RAID set is created. Please press Yes button to

reboot the system to make the new setting work.


Delete a Raid array

Click the tab Configuration, the configuration window will appear. And click Delete Raid tab, you can find some panes and two buttons.

Viewing t he RaidType meaning

General case: Name (A = B C | D E)

<Meaning>

Name: Raid Type.

A: total number of disks in this Raid set.

B,C: the serial number of each disk in this Raid set.

D,E: a) Raid is correct, B=D C=E

b) Raid is error, D or E will show "?" or "!".

In which, the meaning of "?" and "!" is showed below:

"?": At this position (B or C), no HD exists or the HD is not a part of this RAID.

"!": The HD at this position is a part of this RAID, but the position is not it's original position before creating this RAID.

To delete any kind of Raid array, you can use the following topic to learn the deleting steps.

Delete JBOD, RAID0 or RAID 1

Delete RAID 0+1


Delete JBOD, RAID 0 or RAID 1

1. Configuration → Delete Raid

2. Highlight the disk array in the Current RaidType pane, and then click the button Delete. Besides, you can get

some information about the disk array by click Information button.

3. Then a warning message will be popup, and pay attention to the warning message. You can click Yes button to

delete the selected disk array or click No button to cancel this action.

4. After you get the Confirm warning message, it means that the RAID set is deleted. Please press Yes button to

reboot the system to make the new setting work.


Delete RAID 0+1

1. Configuration → Delete Raid

2. Highlight the disk array in the Current RaidType pane, and then click the Delete button. Besides, you can get

some information about the disk array by click Information button.

3. Then a Check Box dialog will be popup, you can click the button Delete to delete this RAID 0+1 array and all

disk will become single disk or click the button Degrade to degrade RAID 0+1 array to become a completed

RAID 0 set. The degrading operation is workable only when the RAID 0+1 set has any one completed RAID 0

set existed.

4. Then a warning message will be popup, and pay attention to the warning message. You can click Yes button to

delete or degrade the selected disk array or click No button to cancel this action.

5. After you get the Confirm warning message, it means that the RAID set is deleted or degraded. Please press

Yes button to reboot the system to make the new setting work.


Recovery an error Raid array

Click the tab Configuration, the configuration window will appear. And click Raid Recovery tab, you can find two panes and some buttons.

The recovering operation is workable only when error RAID 1 set or error RAID 0+1 set (must at least an error RAID 0 set) exist.

The steps of recovering an error RAID set

1. Click the button Available Raid to find whether any error Raid set existing.

2. Highlight the error Raid set you want to recovery.

And you can click the button Ok to continue or click Cancel to cancel this operation.

3. After Available RAID selected, click the button Available Disk to find whether any empty hard disk existing.

4. Highlight the empty hard disk you want to select.

And you can click the button Ok to continue or click Cancel to give up this selection.

5. When the Available RAID and Available Disk is finished, click Start button.

6. After clicking the Start button, the Start button will become Pause button.

Then you can click the button Pause to pause the thread operation.

And the button Pause will return to Start. Or you can click the button Stop to cancel this operation.


Glossary

RAID (Redundant Array of Independent Disk Drives)

Use jointly several hard drives to increase data transfer rates and data security. It depends on the number of drives present and RAID function you select to fulfill the security or performance purposes or both.

RAID 0 (Stripping)

All of the data are distributed evenly to all of the existing drives. You gain benefits on performance because the data transfer rate is multiplied by the number of drives. However, RAID 0 has high risks of data security. All of the stored data will be lost if even any one drive in the RAID set crashes.

RAID 1 (Mirroring)

Two hard drives are required. The goal of RAID 1 is to ensure data security. Data is written to two or more drives synchronously. That is, 100% duplication of data from one drive to another.

RAID 0+1 (StripeMirror)

At least four hard drivers are required. RAID 0+1 is a combination of RAID 0 and RAID 1. Data is striped into two drives then mirrored. It provides high performance and high data protection. This is a costly solution as RAID 1 because the two mirrored drives represent an expensive insurance.

JBOD (Spanning) (Just a Bunch of Drives)

Two or more hard drives are required. Several hard disk types configured as a single hard disk. The hard drives are simply hooked up in series. This expands the capacity of your drive and results in a useable total capacity. However, JBOD will not increase any performance or data security.